/* menu sticky */
$(document).ready(function(){

	var alturaheader = $('.menu').offset().top;
	
	$(window).on('scroll', function(){
		if ( $(window).scrollTop() > alturaheader ){
			$('.menu').addClass('menu-fixed');
		} else {
			$('.menu').removeClass('menu-fixed');
		}
	});
});

/* Tarjeta fixed */
$(document).ready(function(){

	var altura = $('.tarjeta-landing').offset().top;
	
	$(window).on('scroll', function(){
		if ( $(window).scrollTop() > altura ){
			$('.tarjeta-landing').addClass('tarjeta-fixed');
		} else {
			$('.tarjeta-landing').removeClass('tarjeta-fixed');
		}
	});
});

/*Efecto texto*/
$(document).ready(function(){
  var mouseX, mouseY;
  var ww = $( window ).width();
  var wh = $( window ).height();
  var traX, traY;
  $(document).mousemove(function(e){
    mouseX = e.pageX;
    mouseY = e.pageY;
    traX = ((100 * mouseX) / 570) + 40;
    traY = ((4 * mouseY) / 570) + 50;
    // console.log(traX); //Mostramos la posición del mouse en consola
    $(".title").css({"background-position": traX + "%" + traY + "%"});
  });
});


/* Acordeon v2 */
// guardamos todos los elementos unidad-titulo
let elementosAcordeon = document.getElementsByClassName("unidad-titulo");

for (let i = 0; i< elementosAcordeon.length; i++){
  elementosAcordeon[i].addEventListener("click",function(){
    this.classList.toggle("activo");
    // seleccionamos el hno del elemento activo 
    let panel = this.nextElementSibling;
    if (panel.style.display == "block") {
      panel.style.display = "none";
    } else {
      panel.style.display = "block";
    }
  });
}